Network

Chain list, status and service endpoints.

Evm rate limit status

Retrieves the rate limit status of a specific blockchain.

GEThttps://api.routescan.io/v2/evm/{chainId}/rate-limit-status
GET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/evm/all/rate-limit-status?apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/evm/all/rate-limit-status' \
2 -H 'apikey: YourApiKeyToken'

Responses

200Default Response

Blockchains

Lists the blockchains.

GEThttps://api.routescan.io/v2/network/{networkId}/evm/{chainId}/blockchains
GET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/mainnet/evm/all/blockchains?description=false&tags=false&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/all/blockchains?description=false&tags=false' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 name: string;
4 chainId: string;
5 evmChainId?: string;
6 avalancheBlockchainId?: string;
7 logo?: string;
8 logoUrls?: {
9 32?: string;
10 64?: string;
11 256?: string;
12 1024?: string;
13 };
14 icon?: string;
15 iconUrls?: {
16 32?: string;
17 64?: string;
18 256?: string;
19 1024?: string;
20 };
21 symbol: string;
22 rpcs: string[];
23 coingeckoId?: string;
24 avascanId: string;
25 ecosystems?: string[];
26 socialProfile?: {
27 items: {
28 type: string;
29 value: string;
30 title?: string;
31 }[];
32 };
33 description?: string;
34 tags?: string[];
35 freeApiRateLimit: {
36 rps: number;
37 rpd: number;
38 };
39 crossTransactionTypes: {
40 actions?: string[];
41 messages?: string[];
42 };
43 hasERC4337?: boolean;
44 indexing: boolean;
45 indexingPaused?: boolean;
46 publicApi?: boolean;
47 }[];
48 link: {
49 next?: string;
50 nextToken?: string;
51 prev?: string;
52 prevToken?: string;
53 };
54}

Responses

200Default Response

Ping

Ping

GEThttps://api.routescan.io/v2/ping
GET
https://api.routescan.io/v2/ping?apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/ping' \
2 -H 'apikey: YourApiKeyToken'
1{
2 ping: "pong";
3}

Responses

200Default Response

Rate limit status

Retrieves the rate limit status.

GEThttps://api.routescan.io/v2/rate-limit-status
GET
https://api.routescan.io/v2/rate-limit-status?apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/rate-limit-status' \
2 -H 'apikey: YourApiKeyToken'

Responses

200Default Response
Questions? Contact us